UPDATE - 2021-01-12 

We now feel that it's safe to start updating to WordPress 5.6.  Our team will start that process on Thursday, Jan. 14 during off-peak.

The roll-out should be complete by Jan. 21

You will be contacted if we find an issue with your site during testing.

==========================================

UPDATE - 2020-12-09 - 1:20PM ET


It appears that previous reports that the jQuery Migrate plugin would no longer correct issues are incorrect.  Based on this blog post from WordPress, the provide the statement below;

"If you find issues with the way your site looks ( e.g. a slider doesn’t work, a button is stuck — that sort of thing), install the jQuery Migrate plugin."

Additionally, they have released a "test jQuery Updates" plugin, but at this time they have provided very little details on how it actually works.

 

**** Our advice is still to NOT update to 5.6 at this time.

================================================

WordPress 5.6 was released on December 8. This is a major update version, NOT a security update, for that reason, we will not be updating sites to that version until at least Jan. 8

That date could be extended further, based on bug reports as millions of WordPress sites are updated. We will provide updates to this timing at the top of this notice.

At this time, we recommend that clients do NOT update their WordPress version to 5.6. Please note that if you do update to that version before Jan. 8, it is at your own risk.

The main concern/issue we have about this version is the jQuery update.

Here is a great article from WPTavern on the jQuery change.

If your site is currently using the Enable jQuery Migrate Helper plugin please note;

Note: The jQuery Migrate Helper plugin is a temporary solution to repair your site. This plugin re-enables the jQuery Migrate tool for your site to give your plugin and theme authors some more time to update, and test their code, but it should not be used as a long-term solution to fixing your site.

If you have any warnings shown while using the jQuery Migrate Helper plugin, those issues should be resolved before updating to WordPress 5.6.

Before our team pushes WordPress 5.6 updates to live sites, we will do our very best to confirm that you have no jQuery warnings showing. If we see issues, you will be contacted by our team.



Tuesday, December 8, 2020

« برگشت